メインコンテンツへスキップ
PUT
/
crm
/
v3
/
pipelines
/
{objectType}
/
{pipelineId}
パイプラインを置換
curl --request PUT \
  --url https://api.hubapi.com/crm/v3/pipelines/{objectType}/{pipelineId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "displayOrder": 123,
  "label": "<string>",
  "stages": [
    {
      "displayOrder": 1,
      "label": "Done",
      "metadata": {
        "ticketState": "CLOSED"
      }
    }
  ]
}
'
{
  "archived": false,
  "createdAt": "2019-10-30T03:30:17.883Z",
  "displayOrder": 0,
  "id": "812723471",
  "label": "My ticket pipeline",
  "stages": [
    {
      "archived": false,
      "createdAt": "2019-10-30T03:30:17.883Z",
      "displayOrder": 0,
      "id": "1234912",
      "label": "In Progress",
      "metadata": {
        "ticketState": "OPEN"
      },
      "updatedAt": "2019-12-07T16:50:06.678Z"
    },
    {
      "archived": false,
      "createdAt": "2019-10-30T03:30:17.883Z",
      "displayOrder": 0,
      "id": "1234914",
      "label": "Done",
      "metadata": {
        "ticketState": "CLOSED"
      },
      "updatedAt": "2019-12-07T16:50:06.678Z"
    }
  ],
  "updatedAt": "2019-12-07T16:50:06.678Z"
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

objectType
string
必須
pipelineId
string
必須

クエリパラメータ

validateDealStageUsagesBeforeDelete
boolean
デフォルト:false
validateReferencesBeforeDelete
boolean
デフォルト:false

ボディ

application/json
displayOrder
integer<int32>
必須

このパイプラインステージを表示する順序。2つのパイプラインステージの「displayOrder」が同じ場合、ラベルのアルファベット順に並べ替えられます。

label
string
必須

HubSpotのUIでパイプラインステージを整理するために使用されるラベル。各パイプラインステージのラベルはそのパイプライン内で固有である必要があります。

stages
object[]
必須

パイプラインに関連付けられたステージ。これは、パイプライン ステージ エンドポイントで取得して更新できます。

レスポンス

successful operation

A pipeline definition.

archived
boolean
必須

パイプラインがアーカイブされているかどうか。

createdAt
string<date-time>
必須

パイプラインが作成された日付。既定のパイプラインではcreatedAt = 0になります。

displayOrder
integer<int32>
必須

このパイプラインを表示する順序。2つのパイプラインの「displayOrder」が同じ場合、ラベルのアルファベット順に並べ替えられます。

id
string
必須

HubSpotによって生成される固有ID。パイプラインの取得や更新に使用されます。

label
string
必須

HubSpotのUIでパイプラインを整理するために使用される固有ラベル

stages
object[]
必須

パイプラインに関連付けられたステージ。これは、パイプライン ステージ エンドポイントで取得して更新できます。

updatedAt
string<date-time>
必須

パイプラインが最後に更新された日付。

archivedAt
string<date-time>

パイプラインがアーカイブされた日付。「archivedAt」はパイプラインがアーカイブされている場合にのみ存在します。

Last modified on April 14, 2026